Jenkins before versions 2.44, 2.32.2 is vulnerable to a persisted cross-site scripting in parameter names and descriptions (SECURITY-353). Users with the permission to configure jobs were able to inject JavaScript into parameter names and descriptions.
Max CVSS
6.1
EPSS Score
0.15%
Published
2018-05-10
Updated
2022-10-19
Jenkins Pipeline: Groovy Plugin 2689.v434009a_31b_f1 and earlier allows loading any Groovy source files on the classpath of Jenkins and Jenkins plugins in sandboxed pipelines.
Max CVSS
8.5
EPSS Score
0.10%
Published
2022-05-17
Updated
2023-12-21
A cross-site request forgery (CSRF) vulnerability in Jenkins Script Security Plugin 1158.v7c1b_73a_69a_08 and earlier allows attackers to have Jenkins send an HTTP request to an attacker-specified webserver.
Max CVSS
4.3
EPSS Score
0.12%
Published
2022-05-17
Updated
2023-12-22
Jenkins Git Plugin 4.11.1 and earlier allows attackers able to configure pipelines to check out some SCM repositories stored on the Jenkins controller's file system using local paths as SCM URLs, obtaining limited information about other projects' SCM contents.
Max CVSS
7.5
EPSS Score
0.16%
Published
2022-05-17
Updated
2024-01-09
Jenkins Mercurial Plugin 2.16 and earlier allows attackers able to configure pipelines to check out some SCM repositories stored on the Jenkins controller's file system using local paths as SCM URLs, obtaining limited information about other projects' SCM contents.
Max CVSS
7.5
EPSS Score
0.16%
Published
2022-05-17
Updated
2023-11-03
Jenkins REPO Plugin 1.14.0 and earlier allows attackers able to configure pipelines to check out some SCM repositories stored on the Jenkins controller's file system using local paths as SCM URLs, obtaining limited information about other projects' SCM contents.
Max CVSS
5.3
EPSS Score
0.08%
Published
2022-05-17
Updated
2023-12-21
Jenkins WMI Windows Agents Plugin 1.8 and earlier includes the Windows Remote Command library which has a buffer overflow vulnerability that may allow users able to connect to a named pipe to execute commands on the Windows agent machine.
Max CVSS
8.8
EPSS Score
0.09%
Published
2022-05-17
Updated
2023-11-03
Jenkins WMI Windows Agents Plugin 1.8 and earlier includes the Windows Remote Command library does not implement access control, potentially allowing users to start processes even if they're not allowed to log in.
Max CVSS
8.8
EPSS Score
0.09%
Published
2022-05-17
Updated
2023-11-03
Jenkins Pipeline SCM API for Blue Ocean Plugin 1.25.3 and earlier allows attackers with Job/Configure permission to access credentials with attacker-specified IDs stored in the private per-user credentials stores of any attacker-specified user in Jenkins.
Max CVSS
6.5
EPSS Score
0.07%
Published
2022-05-17
Updated
2023-11-03
A cross-site request forgery (CSRF) vulnerability in Jenkins Blue Ocean Plugin 1.25.3 and earlier allows attackers to connect to an attacker-specified HTTP server.
Max CVSS
6.5
EPSS Score
0.08%
Published
2022-05-17
Updated
2023-11-03
Jenkins Blue Ocean Plugin 1.25.3 and earlier does not perform a permission check in several HTTP endpoints, allowing attackers with Overall/Read permission to connect to an attacker-specified HTTP server.
Max CVSS
6.5
EPSS Score
0.05%
Published
2022-05-17
Updated
2023-11-03
A missing permission check in Jenkins SSH Plugin 2.6.1 and earlier allows attackers with Overall/Read permission to enumerate credentials IDs of credentials stored in Jenkins.
Max CVSS
4.3
EPSS Score
0.05%
Published
2022-05-17
Updated
2024-01-09
This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!